variables:
  ApacheImageRepo: $CI_REGISTRY/no-fuss-computing/infrastructure/apache
  CS_MAJOR_VERSION: 2
#  SAST_GOSEC_LEVEL: 2

Build:apache:
  stage: build
  image: gitlab/dind
  services:
    - docker:dind
  before_script:
    - docker info
    - docker login $CI_REGISTRY -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD
  script:
#    - docker build -f Dockerfile-Apache . --tag $ApacheImageRepo:latest
    - docker build -f Dockerfile-Apache . --tag $CI_REGISTRY_IMAGE/$CI_COMMIT_REF_SLUG:$CI_COMMIT_SHA
  after_script:
#    - docker push $ApacheImageRepo:latest
    - docker push $CI_REGISTRY_IMAGE/$CI_COMMIT_REF_SLUG:$CI_COMMIT_SHA
  tags:
   - docker

include:
  - template: Container-Scanning.gitlab-ci.yml
#  - template: License-Scanning.gitlab-ci.yml
#  - template: Dependency-Scanning.gitlab-ci.yml
#  - template: SAST.gitlab-ci.yml

container_scanning:
  variables:
    CLAIR_OUTPUT: High
    DOCKERFILE_PATH: Dockerfile-Apache
    GIT_STRATEGY: fetch